VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::Library::Item::File Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::File:

## Classes
class | ChecksumAlgorithm
class | ChecksumInfo
class | Info

## Avaliable Methods
public method | get ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::File` interface can be used to query for information on the files within a library item. Files are objects which are added to a library item through the class Com::Vmware::Content::Library::Item::UpdateSession and class Com::Vmware::Content::Library::Item::Updatesession::File interfaces .

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::File::get | ( |  | ) |

Retrieves the information for a single file in a library item by its name.

Parameters

  library_item_id | [REQUIRED] Identifier of the library item whose file information should be returned. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.library.Item). . The value must be str.
  name | [REQUIRED] Name of the file in the library item whose information should be returned. . The value must be String.

Return values

  The | class Com::Vmware::Content::Library::Item::File::Info object with information on the specified file. The return type will be Com::Vmware::Content::Library::Item::File::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if `library_item_id` refers to a library item that does not exist.
  Com::Vmware::Vapi::Std::Errors::NotFound | if `name` refers to a file that does not exist in the library item.

Code:
click to view
# Number of lines of code in get: 11
sub get {
my ($self, %args) = @_;
my $library_item_id = $args {library_item_id};
my $name = $args {name};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Content::Library::Item::File::list | ( |  | ) |

Lists all of the files that are stored within a given library item.

Parameters

  library_item_id | [REQUIRED] Identifier of the library item whose files should be listed. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.library.Item). . The value must be str.

Return values

  The | list of all of the files that are stored within the given library item. The return type will be Array of Com::Vmware::Content::Library::Item::File::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if `library_item_id` refers to a library item that does not exist.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $library_item_id = $args {library_item_id};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Content::Library::Item::File::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/File.pm